Bug 50202 - Error upgrading kernel-2.4.3-12.i386.rpm
Summary: Error upgrading kernel-2.4.3-12.i386.rpm
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-28 00:36 UTC by Need Real Name
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-10 13:18:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-28 00:36:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
During upgrade process (from kernel-2.4.2-2) the following error message 
is returned:

/var/tmp/rpm-tmp.53825: line 1:  4231 Segmentation fault      (core 
dumped) /usr/sbin/module_upgrade

'rpm -V kernel-2.4.3-12' returns no messages
'rpm -q kernel-2.4.3-12' returns 'kernel-2.4.3-12'

The new kernel boots and all services appear to run.

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --allmatches --justdb --nodeps kernel-2.4.3-12
2. rpm -ivh --justdb kernel-2.4.3-12.i386.rpm
3.
	

Actual Results:  /var/tmp/rpm-tmp.39096: line 1:  4255 Segmentation 
fault      (core dumped) /usr/sbin/module_upgrade

Expected Results:  No error message.

Additional info:

I noticed this same type of error when upgrading the kernel.  I tried 
several time, but finally re-booted the system and it worked.  I 
subsequently noticed multiple 'kernel-2.4.3-12' entries using 'rpm -q 
kernel-2.4.3-12'.  I then executed the commands above to remove the 
multiple entries from the database and re-install.

Comment 1 Jeff Johnson 2003-09-10 13:18:56 UTC
This is (or was) a problem with /usr/sbin/module_upgrade.

Adding --noscripts with "rpm -ivh" would probably avoid
the problem.

I don't see any way to reproduce this problem, hence WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.